org.apache.lucene.util

## Class TestRuleAssertionsRequired

- java.lang.Object
- - org.apache.lucene.util.TestRuleAssertionsRequired

- All Implemented Interfaces:
    org.junit.rules.TestRule

      public class TestRuleAssertionsRequired
      extends Object
      implements org.junit.rules.TestRule

  Require assertions for Lucene/Solr packages.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestRuleAssertionsRequired()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.junit.runners.model.Statement` | `apply(org.junit.runners.model.Statement base, Description description)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestRuleAssertionsRequired

          public TestRuleAssertionsRequired()

  - ### Method Detail

    - #### apply

          public org.junit.runners.model.Statement apply(org.junit.runners.model.Statement base,
                                                Description description)

      Specified by:
        `apply` in interface `org.junit.rules.TestRule`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.